cURL
curl --request PATCH \ --url https://api.example.com/api/v1/school/class-patterns/{id}/update_o_level/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'
200
SuccessResponse
{ "id": "123e4567-e89b-12d3-a456-426614174000", "patterns": { "o_level": [ { "id": 1, "name": "Science" }, { "id": 2, "name": "Arts" }, { "id": 3, "name": "Commerce" } ], "a_level": [ { "id": 1, "name": "PCM" }, { "id": 2, "name": "BCM" } ] }, "created_at": "2025-01-15T10:30:00Z", "updated_at": "2025-01-20T14:45:00Z" }
Update only the O-Level patterns in a class pattern configuration. The A-Level patterns remain unchanged. Validation Rules:
id
name
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
A UUID string identifying this class patterns.